Bug 206859 - net-p2p/btsync: Update to 2.3.1
Summary: net-p2p/btsync: Update to 2.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://lists.freebsd.org/pipermail/f...
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-02-02 19:44 UTC by Kurt Jaeger
Modified: 2016-02-03 06:26 UTC (History)
2 users (show)

See Also:
joshruehlig: maintainer-feedback+


Attachments
patch (1.44 KB, patch)
2016-02-02 19:44 UTC, Kurt Jaeger
joshruehlig: maintainer-approval-
Details | Diff
patch (with reorderd distinfo) (1.46 KB, patch)
2016-02-03 06:06 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2016-02-02 19:44:32 UTC
Created attachment 166453 [details]
patch

As requested in

https://lists.freebsd.org/pipermail/freebsd-ports/2016-February/101765.html

Testbuilds all fine, portlint is happy, too.
Comment 2 joshruehlig 2016-02-03 05:53:05 UTC
Worked well for me on x64.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-03 05:54:30 UTC
Reporter is Committer, assign accordingly.

Thanks for taking care of user requests Kurt!
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-03 05:55:25 UTC
Comment on attachment 166453 [details]
patch

@Josh, please set maintainer-approval to + to approve any attachments for ports you are maintainer of.

You can do so by going to Attachment -> Details -> maintainer-approval [+]

Thanks!
Comment 5 joshruehlig 2016-02-03 05:57:34 UTC
Ok, will do. Let me just check 32bit then I'll assign the flags.
Comment 6 joshruehlig 2016-02-03 06:04:16 UTC
Comment on attachment 166453 [details]
patch

>diff -r -u -N net-p2p/btsync/Makefile ../../home/pi/myp/net-p2p/btsync/Makefile
>--- net-p2p/btsync/Makefile	2015-11-13 07:18:08.571588000 +0100
>+++ ../../home/pi/myp/net-p2p/btsync/Makefile	2016-02-02 19:46:32.344920000 +0100
>@@ -1,7 +1,7 @@
> # $FreeBSD: head/net-p2p/btsync/Makefile 401312 2015-11-12 01:17:53Z wen $
> 
> PORTNAME=	btsync
>-PORTVERSION=	2.2.6
>+PORTVERSION=	2.3.1
> CATEGORIES=	net-p2p
> MASTER_SITES=	https://download-cdn.getsyncapp.com/${PORTVERSION}/FreeBSD-${CONFIG_ARCH}/ \
> 		http://download-cdn.getsyncapp.com/${PORTVERSION}/FreeBSD-${CONFIG_ARCH}/
>diff -r -u -N net-p2p/btsync/distinfo ../../home/pi/myp/net-p2p/btsync/distinfo
>--- net-p2p/btsync/distinfo	2015-11-13 07:18:08.572739000 +0100
>+++ ../../home/pi/myp/net-p2p/btsync/distinfo	2016-02-02 20:38:42.920125000 +0100
>@@ -1,4 +1,4 @@
>-SHA256 (BitTorrent-Sync_freebsd_i386.tar.gz) = 2266e9785343adec5d44ac96f6c935f3c5987101a219df0f345855cb857d8ba3
>-SIZE (BitTorrent-Sync_freebsd_i386.tar.gz) = 5153702
>-SHA256 (BitTorrent-Sync_freebsd_x64.tar.gz) = 3950ecc3282e07293758f52a344c81e6588e2be917c1145fa2f76cec7e7aa76f
>-SIZE (BitTorrent-Sync_freebsd_x64.tar.gz) = 5406823
>+SHA256 (BitTorrent-Sync_freebsd_i386.tar.gz) = 80a5d004fc2ebdad01287e58cf61d985c1fc9cb9297c76ad99c72f12c820fca3
>+SIZE (BitTorrent-Sync_freebsd_i386.tar.gz) = 5706344
>+SHA256 (BitTorrent-Sync_freebsd_x64.tar.gz) = fda7ecf16c5eb22a399daeb8d6d9fd27deebe9c9804779305d309bb82680ffc0
>+SIZE (BitTorrent-Sync_freebsd_x64.tar.gz) = 5870943
Comment 7 joshruehlig 2016-02-03 06:06:42 UTC
Created attachment 166483 [details]
patch (with reorderd distinfo)
Comment 8 joshruehlig 2016-02-03 06:09:32 UTC
Ok, I'm done. Sorry for all the comment spam.
I just reordered the distinfo to match the i386 then x64 convention we've been using.
Comment 9 commit-hook freebsd_committer 2016-02-03 06:26:00 UTC
A commit references this bug:

Author: pi
Date: Wed Feb  3 06:25:27 UTC 2016
New revision: 407943
URL: https://svnweb.freebsd.org/changeset/ports/407943

Log:
  net-p2p/btsync: 2.2.6 -> 2.3.1

  Changes:
    https://blog.getsync.com/2016/01/21/sync-2-3-brings-more-features-for-power-users/

  PR:		206859
  Requested by:	Jerry <jerry@seibercom.net>
  Approved by:	Joshua Ruehlig <joshruehlig@gmail.com> (maintainer)

Changes:
  head/net-p2p/btsync/Makefile
  head/net-p2p/btsync/distinfo
Comment 10 Kurt Jaeger freebsd_committer 2016-02-03 06:26:30 UTC
Thanks!